[arch-commits] Commit in findutils/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Wed Nov 2 08:52:59 EDT 2011


    Date: Wednesday, November 2, 2011 @ 08:52:59
  Author: tpowa
Revision: 141714

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  findutils/repos/testing-i686/
  findutils/repos/testing-i686/PKGBUILD
    (from rev 141713, findutils/trunk/PKGBUILD)
  findutils/repos/testing-i686/findutils.install
    (from rev 141713, findutils/trunk/findutils.install)
  findutils/repos/testing-x86_64/
  findutils/repos/testing-x86_64/PKGBUILD
    (from rev 141713, findutils/trunk/PKGBUILD)
  findutils/repos/testing-x86_64/findutils.install
    (from rev 141713, findutils/trunk/findutils.install)

----------------------------------+
 testing-i686/PKGBUILD            |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/findutils.install   |   22 ++++++++++++++++++++++
 testing-x86_64/PKGBUILD          |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/findutils.install |   22 ++++++++++++++++++++++
 4 files changed, 116 insertions(+)

Copied: findutils/repos/testing-i686/PKGBUILD (from rev 141713, findutils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-02 12:52:59 UTC (rev 141714)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer:
+
+pkgname=findutils
+pkgver=4.4.2
+pkgrel=4
+pkgdesc="GNU utilities to locate files"
+arch=('i686' 'x86_64')
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'sh')
+url="http://www.gnu.org/software/findutils"
+source=(ftp://ftp.gnu.org/pub/gnu/findutils/${pkgname}-${pkgver}.tar.gz)
+install=findutils.install
+sha1sums=('e8dd88fa2cc58abffd0bfc1eddab9020231bb024')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Don't build or install locate because we use mlocate,
+  # which is a secure version of locate.
+  sed -i '/^SUBDIRS/s/locate//' Makefile.in
+
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR=$pkgdir install
+}

Copied: findutils/repos/testing-i686/findutils.install (from rev 141713, findutils/trunk/findutils.install)
===================================================================
--- testing-i686/findutils.install	                        (rev 0)
+++ testing-i686/findutils.install	2011-11-02 12:52:59 UTC (rev 141714)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(find-maint.info find.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: findutils/repos/testing-x86_64/PKGBUILD (from rev 141713, findutils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-02 12:52:59 UTC (rev 141714)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer:
+
+pkgname=findutils
+pkgver=4.4.2
+pkgrel=4
+pkgdesc="GNU utilities to locate files"
+arch=('i686' 'x86_64')
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'sh')
+url="http://www.gnu.org/software/findutils"
+source=(ftp://ftp.gnu.org/pub/gnu/findutils/${pkgname}-${pkgver}.tar.gz)
+install=findutils.install
+sha1sums=('e8dd88fa2cc58abffd0bfc1eddab9020231bb024')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Don't build or install locate because we use mlocate,
+  # which is a secure version of locate.
+  sed -i '/^SUBDIRS/s/locate//' Makefile.in
+
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR=$pkgdir install
+}

Copied: findutils/repos/testing-x86_64/findutils.install (from rev 141713, findutils/trunk/findutils.install)
===================================================================
--- testing-x86_64/findutils.install	                        (rev 0)
+++ testing-x86_64/findutils.install	2011-11-02 12:52:59 UTC (rev 141714)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(find-maint.info find.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list